path: /build/build/log4cplus-dev-libs-2.1.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="iconv qt5" emerge dev-libs/log4cplus -pv -t && \
    USE="iconv qt5" emerge -j ${JOBS} --nodeps dev-libs/log4cplus
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/log4cplus && luet-portage --dir /pkgdir/log4cplus
    dev-libs/log4cplus && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:ff13d9832f17b0cbaecf83a309f2d9216195f07562306ec4fb8cf72488a41a1b
  package:
    id: 0
    name: log4cplus
    version: 2.1.1
    category: dev-libs
    useflags:
    - iconv
    - qt5
    state: ""
    packagerequires:
    - id: 0
      name: libkscreen
      version: '>=0'
      category: kde-plasma-5
      useflags: []
      state: ""
      packagerequires: []
      packageconflicts: []
      provides: []
      hidden: false
      annotations: {}
      path: ""
      description: ""
      uri: []
      license: ""
      buildtimestamp: ""
      labels: {}
      treedir: ""
      repository: ""
    packageconflicts: []
    provides: []
    hidden: false
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    path: ""
    description: C++ port of the Log for Java (log4j) logging library
    uri:
    - http://log4cplus.sourceforge.net/ https://github.com/log4cplus/log4cplus
    license: '|| ( Apache-2.0 BSD-2 )'
    buildtimestamp: 2023-12-03 08:30:17.344774674 +0000 UTC m=+692.908654945
    labels:
      BDEPEND: dev-util/ninja dev-util/cmake
      DEPEND: iconv? ( virtual/libiconv ) qt5? ( dev-qt/qtcore:5 )
      IUSE: explicit-initialization iconv qt5 server test threads
      RDEPEND: iconv? ( virtual/libiconv ) qt5? ( dev-qt/qtcore:5 )
      emerge.packages: dev-libs/log4cplus
      kit: dev-kit
      original.package.name: dev-libs/log4cplus
      original.package.slot: "0"
      original.package.version: 2.1.1
    treedir: /build/packages
    repository: ""
  package_dir: /pkgdir/log4cplus
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 771d79272dbd12d77c1b12b7597e8635717748ce753d69a8569cea19f624b7d8
compressiontype: zstd
files:
- usr/include/log4cplus/appender.h
- usr/include/log4cplus/asyncappender.h
- usr/include/log4cplus/boost/deviceappender.hxx
- usr/include/log4cplus/callbackappender.h
- usr/include/log4cplus/clogger.h
- usr/include/log4cplus/config/defines.hxx
- usr/include/log4cplus/config/macosx.h
- usr/include/log4cplus/config/win32.h
- usr/include/log4cplus/config/windowsh-inc.h
- usr/include/log4cplus/config.hxx
- usr/include/log4cplus/configurator.h
- usr/include/log4cplus/consoleappender.h
- usr/include/log4cplus/exception.h
- usr/include/log4cplus/fileappender.h
- usr/include/log4cplus/fstreams.h
- usr/include/log4cplus/helpers/appenderattachableimpl.h
- usr/include/log4cplus/helpers/connectorthread.h
- usr/include/log4cplus/helpers/fileinfo.h
- usr/include/log4cplus/helpers/lockfile.h
- usr/include/log4cplus/helpers/loglog.h
- usr/include/log4cplus/helpers/pointer.h
- usr/include/log4cplus/helpers/property.h
- usr/include/log4cplus/helpers/queue.h
- usr/include/log4cplus/helpers/snprintf.h
- usr/include/log4cplus/helpers/socket.h
- usr/include/log4cplus/helpers/socketbuffer.h
- usr/include/log4cplus/helpers/stringhelper.h
- usr/include/log4cplus/helpers/thread-config.h
- usr/include/log4cplus/helpers/timehelper.h
- usr/include/log4cplus/hierarchy.h
- usr/include/log4cplus/hierarchylocker.h
- usr/include/log4cplus/initializer.h
- usr/include/log4cplus/internal/env.h
- usr/include/log4cplus/internal/internal.h
- usr/include/log4cplus/internal/socket.h
- usr/include/log4cplus/layout.h
- usr/include/log4cplus/log4cplus.h
- usr/include/log4cplus/log4judpappender.h
- usr/include/log4cplus/logger.h
- usr/include/log4cplus/loggingmacros.h
- usr/include/log4cplus/loglevel.h
- usr/include/log4cplus/mdc.h
- usr/include/log4cplus/ndc.h
- usr/include/log4cplus/nteventlogappender.h
- usr/include/log4cplus/nullappender.h
- usr/include/log4cplus/qt5debugappender.h
- usr/include/log4cplus/socketappender.h
- usr/include/log4cplus/spi/appenderattachable.h
- usr/include/log4cplus/spi/factory.h
- usr/include/log4cplus/spi/filter.h
- usr/include/log4cplus/spi/loggerfactory.h
- usr/include/log4cplus/spi/loggerimpl.h
- usr/include/log4cplus/spi/loggingevent.h
- usr/include/log4cplus/spi/objectregistry.h
- usr/include/log4cplus/spi/rootlogger.h
- usr/include/log4cplus/streams.h
- usr/include/log4cplus/syslogappender.h
- usr/include/log4cplus/tchar.h
- usr/include/log4cplus/thread/impl/syncprims-cxx11.h
- usr/include/log4cplus/thread/impl/syncprims-impl.h
- usr/include/log4cplus/thread/impl/syncprims-pmsm.h
- usr/include/log4cplus/thread/impl/threads-impl.h
- usr/include/log4cplus/thread/impl/tls.h
- usr/include/log4cplus/thread/syncprims-pub-impl.h
- usr/include/log4cplus/thread/syncprims.h
- usr/include/log4cplus/thread/threads.h
- usr/include/log4cplus/tracelogger.h
- usr/include/log4cplus/tstring.h
- usr/include/log4cplus/version.h
- usr/include/log4cplus/win32consoleappender.h
- usr/include/log4cplus/win32debugappender.h
- usr/lib64/cmake/log4cplus/log4cplusConfig.cmake
- usr/lib64/cmake/log4cplus/log4cplusConfigVersion.cmake
- usr/lib64/cmake/log4cplus/log4cplusTargets-gentoo.cmake
- usr/lib64/cmake/log4cplus/log4cplusTargets.cmake
- usr/lib64/liblog4cplus.so
- usr/lib64/liblog4cplus.so.9
- usr/lib64/liblog4cplusqt5debugappender.so
- usr/lib64/liblog4cplusqt5debugappender.so.9
- usr/lib64/pkgconfig/log4cplus.pc
- usr/share/doc/log4cplus-2.1.1/AUTHORS.bz2
- usr/share/doc/log4cplus-2.1.1/ChangeLog.bz2
- usr/share/doc/log4cplus-2.1.1/NEWS
- usr/share/doc/log4cplus-2.1.1/README.md.bz2
- usr/share/doc/log4cplus-2.1.1/TODO.bz2
- usr/share/log4cplus/ChangeLog
- usr/share/log4cplus/LICENSE
- usr/share/log4cplus/README.md
- var/db/pkg/dev-libs/log4cplus-2.1.1/BDEPEND
- var/db/pkg/dev-libs/log4cplus-2.1.1/BUILD_TIME
- var/db/pkg/dev-libs/log4cplus-2.1.1/CATEGORY
- var/db/pkg/dev-libs/log4cplus-2.1.1/CBUILD
- var/db/pkg/dev-libs/log4cplus-2.1.1/CFLAGS
- var/db/pkg/dev-libs/log4cplus-2.1.1/CHOST
- var/db/pkg/dev-libs/log4cplus-2.1.1/CONTENTS
- var/db/pkg/dev-libs/log4cplus-2.1.1/COUNTER
- var/db/pkg/dev-libs/log4cplus-2.1.1/CXXFLAGS
- var/db/pkg/dev-libs/log4cplus-2.1.1/DEFINED_PHASES
- var/db/pkg/dev-libs/log4cplus-2.1.1/DEPEND
- var/db/pkg/dev-libs/log4cplus-2.1.1/DESCRIPTION
- var/db/pkg/dev-libs/log4cplus-2.1.1/EAPI
- var/db/pkg/dev-libs/log4cplus-2.1.1/FEATURES
- var/db/pkg/dev-libs/log4cplus-2.1.1/HOMEPAGE
- var/db/pkg/dev-libs/log4cplus-2.1.1/INHERITED
- var/db/pkg/dev-libs/log4cplus-2.1.1/IUSE
- var/db/pkg/dev-libs/log4cplus-2.1.1/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/log4cplus-2.1.1/KEYWORDS
- var/db/pkg/dev-libs/log4cplus-2.1.1/LDFLAGS
- var/db/pkg/dev-libs/log4cplus-2.1.1/LICENSE
- var/db/pkg/dev-libs/log4cplus-2.1.1/NEEDED
- var/db/pkg/dev-libs/log4cplus-2.1.1/PF
- var/db/pkg/dev-libs/log4cplus-2.1.1/PROVIDES
- var/db/pkg/dev-libs/log4cplus-2.1.1/RDEPEND
- var/db/pkg/dev-libs/log4cplus-2.1.1/REQUIRES
- var/db/pkg/dev-libs/log4cplus-2.1.1/RESTRICT
- var/db/pkg/dev-libs/log4cplus-2.1.1/SIZE
- var/db/pkg/dev-libs/log4cplus-2.1.1/SLOT
- var/db/pkg/dev-libs/log4cplus-2.1.1/USE
- var/db/pkg/dev-libs/log4cplus-2.1.1/environment.bz2
- var/db/pkg/dev-libs/log4cplus-2.1.1/log4cplus-2.1.1.ebuild
- var/db/pkg/dev-libs/log4cplus-2.1.1/repository
package_cacheimage: ""
runtime:
  id: 0
  name: log4cplus
  version: 2.1.1
  category: dev-libs
  useflags:
  - iconv
  - qt5
  state: ""
  packagerequires:
  - id: 0
    name: qtcore
    version: '>=0'
    category: dev-qt-5
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  - id: 0
    name: libiconv
    version: '>=0'
    category: virtual
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  packageconflicts: []
  provides: []
  hidden: false
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  path: ""
  description: C++ port of the Log for Java (log4j) logging library
  uri:
  - http://log4cplus.sourceforge.net/ https://github.com/log4cplus/log4cplus
  license: '|| ( Apache-2.0 BSD-2 )'
  buildtimestamp: ""
  labels:
    BDEPEND: dev-util/ninja dev-util/cmake
    DEPEND: iconv? ( virtual/libiconv ) qt5? ( dev-qt/qtcore:5 )
    IUSE: explicit-initialization iconv qt5 server test threads
    RDEPEND: iconv? ( virtual/libiconv ) qt5? ( dev-qt/qtcore:5 )
    emerge.packages: dev-libs/log4cplus
    kit: dev-kit
    original.package.name: dev-libs/log4cplus
    original.package.slot: "0"
    original.package.version: 2.1.1
  treedir: ""
  repository: ""
